> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user details



## OpenAPI

````yaml openapi/api-gateway.json GET /whoami
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /whoami:
    get:
      tags:
        - api-gateway
      operationId: whoami
      responses:
        '200':
          description: Current user information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhoAmIResponse'
      security:
        - session_token: []
components:
  schemas:
    WhoAmIResponse:
      type: object
      required:
        - id
        - username
        - pseudonym
        - created_at
        - is_onboarded
        - is_frozen
        - is_admin
        - require_2fa
        - fiat_deposit_code
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/WhoAmIAccount'
        created_at:
          type: string
          format: date-time
        fiat_deposit_code:
          type: string
        id:
          type: string
        is_admin:
          type: boolean
        is_frozen:
          type: boolean
        is_onboarded:
          type: boolean
        pseudonym:
          type: string
        require_2fa:
          type: boolean
        username:
          type: string
    WhoAmIAccount:
      type: object
      required:
        - id
        - is_close_only
        - maker_fee
        - taker_fee
        - can_list
        - can_read
        - can_set_limits
        - can_reduce_or_close
        - can_trade
      properties:
        can_list:
          type: boolean
        can_read:
          type: boolean
        can_reduce_or_close:
          type: boolean
        can_set_limits:
          type: boolean
        can_trade:
          type: boolean
        id:
          type: string
        is_close_only:
          type: boolean
        maker_fee:
          type: string
        name:
          type:
            - string
            - 'null'
          description: Optional, owner-facing nickname for the account.
        taker_fee:
          type: string
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````